Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl
Class SaslEncodingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.security.sasl.SaslException
                              |
                              +--gnu.crypto.sasl.SaslEncodingException

All Implemented Interfaces:
  java.io.Serializable

public class SaslEncodingException
extends SaslException

A checked exception, thrown when an exception occurs while decoding a SASL buffer and/or a SASL data element from/to a buffer.

See Also:
  Serialized Form

Constructor Summary
`SaslEncodingException()` Constructs a `SaslEncodingException` with no detail message.
`SaslEncodingException(java.lang.String s)` Constructs a `SaslEncodingException` with the specified detail message.

Methods inherited from class javax.security.sasl.SaslException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SaslEncodingException

    public SaslEncodingException()

  Constructs a `SaslEncodingException` with no detail message.

### SaslEncodingException

    public SaslEncodingException(java.lang.String s)

  Constructs a `SaslEncodingException` with the specified detail message.

Parameters:
  `s` - the detail message.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.